org.red5.server.net.rtmpt

## Class RTMPTHandler

- java.lang.Object
- - org.red5.server.net.rtmp.BaseRTMPHandler
  - - org.red5.server.net.rtmp.RTMPHandler
    - - org.red5.server.net.rtmpt.RTMPTHandler

All Implemented Interfaces:
  IRTMPHandler, Constants, StatusCodes, org.springframework.beans.factory.Aware, org.springframework.context.ApplicationContextAware

    public class RTMPTHandler
    extends RTMPHandler

Handler for RTMPT messages.

Author:
  The Red5 Project (red5@osflash.org), Joachim Bauch (jojo@struktur.de), Paul Gregoire (mondain@gmail.com)

### Field Summary

Fields
`protected RTMPTCodecFactory` `codecFactory` Protocol codec factory
`static String` `HANDLER_ATTRIBUTE` Handler constant

### Fields inherited from class org.red5.server.net.rtmp.RTMPHandler

`server, statusObjectService`

### Fields inherited from interface org.red5.server.net.rtmp.message.Constants

`HANDSHAKE_SIZE, HEADER_CONTINUE, HEADER_NEW, HEADER_SAME_SOURCE, HEADER_TIMER_CHANGE, MEDIUM_INT_MAX, SO_CLIENT_CLEAR_DATA, SO_CLIENT_DELETE_DATA, SO_CLIENT_INITIAL_DATA, SO_CLIENT_SEND_MESSAGE, SO_CLIENT_STATUS, SO_CLIENT_UPDATE_ATTRIBUTE, SO_CLIENT_UPDATE_DATA, SO_CONNECT, SO_DELETE_ATTRIBUTE, SO_DISCONNECT, SO_SEND_MESSAGE, SO_SET_ATTRIBUTE, SOURCE_TYPE_LIVE, SOURCE_TYPE_VOD, TYPE_ABORT, TYPE_AGGREGATE, TYPE_AUDIO_DATA, TYPE_BYTES_READ, TYPE_CHUNK_SIZE, TYPE_CLIENT_BANDWIDTH, TYPE_EDGE_ORIGIN, TYPE_FLEX_MESSAGE, TYPE_FLEX_SHARED_OBJECT, TYPE_FLEX_STREAM_SEND, TYPE_INVOKE, TYPE_NOTIFY, TYPE_PING, TYPE_SERVER_BANDWIDTH, TYPE_SHARED_OBJECT, TYPE_STREAM_METADATA, TYPE_VIDEO_DATA`

### Fields inherited from interface org.red5.server.net.rtmp.status.StatusCodes

`APP_GC, APP_RESOURCE_LOWMEMORY, APP_SCRIPT_ERROR, APP_SCRIPT_WARNING, APP_SHUTDOWN, NC_CALL_BADVERSION, NC_CALL_FAILED, NC_CONNECT_APPSHUTDOWN, NC_CONNECT_CLOSED, NC_CONNECT_FAILED, NC_CONNECT_INVALID_APPLICATION, NC_CONNECT_REJECTED, NC_CONNECT_SUCCESS, NS_BUFFER_EMPTY, NS_CLEAR_FAILED, NS_CLEAR_SUCCESS, NS_DATA_START, NS_FAILED, NS_INVALID_ARGUMENT, NS_PAUSE_NOTIFY, NS_PLAY_COMPLETE, NS_PLAY_FAILED, NS_PLAY_FILE_STRUCTURE_INVALID, NS_PLAY_INSUFFICIENT_BW, NS_PLAY_NO_SUPPORTED_TRACK_FOUND, NS_PLAY_PUBLISHNOTIFY, NS_PLAY_RESET, NS_PLAY_START, NS_PLAY_STOP, NS_PLAY_STREAMNOTFOUND, NS_PLAY_SWITCH, NS_PLAY_TRANSITION, NS_PLAY_TRANSITION_COMPLETE, NS_PLAY_UNPUBLISHNOTIFY, NS_PUBLISH_BADNAME, NS_PUBLISH_START, NS_RECORD_FAILED, NS_RECORD_NOACCESS, NS_RECORD_START, NS_RECORD_STOP, NS_SEEK_FAILED, NS_SEEK_NOTIFY, NS_TRANSITION_FORCED, NS_TRANSITION_SUCCESS, NS_UNPAUSE_NOTIFY, NS_UNPUBLISHED_SUCCESS, SO_CREATION_FAILED, SO_NO_READ_ACCESS, SO_NO_WRITE_ACCESS, SO_PERSISTENCE_MISMATCH`

### Constructor Summary

Constructors
Constructor and Description
`RTMPTHandler()`

### Method Summary

Methods
`RTMPTCodecFactory` `getCodecFactory()` Getter for codec factory
`protected String` `getHostname(String url)` Return hostname for URL.
`void` `messageReceived(Object in, IoSession session)` Message received
`void` `setCodecFactory(RTMPTCodecFactory factory)` Setter for codec factory

### Methods inherited from class org.red5.server.net.rtmp.RTMPHandler

`getStatus, invokeCall, isGlobalScopeConnectionAllowed, onBWDone, onChunkSize, onInvoke, onPing, onSharedObject, setGlobalScopeConnectionAllowed, setServer, setStatusObjectService`

### Methods inherited from class org.red5.server.net.rtmp.BaseRTMPHandler

`connectionClosed, connectionOpened, getStreamId, handlePendingCallResult, messageSent, onStreamBytesRead, setApplicationContext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### HANDLER_ATTRIBUTE

    public static final String HANDLER_ATTRIBUTE

Handler constant

See Also:
  Constant Field Values

#### codecFactory

    protected RTMPTCodecFactory codecFactory

Protocol codec factory

### Constructor Detail

#### RTMPTHandler

    public RTMPTHandler()

### Method Detail

#### setCodecFactory

    public void setCodecFactory(RTMPTCodecFactory factory)

Setter for codec factory

Parameters:
  `factory` - Codec factory to use

#### getCodecFactory

    public RTMPTCodecFactory getCodecFactory()

Getter for codec factory

Returns:
  Codec factory

#### getHostname

    protected String getHostname(String url)

Return hostname for URL.

Overrides:
  `getHostname` in class `BaseRTMPHandler`
Parameters:
  `url` - URL
Returns:
  Hostname from that URL

#### messageReceived

    public void messageReceived(Object in,
                       IoSession session)
                         throws Exception

Message received

Specified by:
  `messageReceived` in interface `IRTMPHandler`
Overrides:
  `messageReceived` in class `BaseRTMPHandler`
Parameters:
  `in` - Message
  `session` - Connected session
Throws:
  `Exception` - Exception